> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available subscription plans



## OpenAPI

````yaml /openapi.json get /subscriptions/plans
openapi: 3.0.0
info:
  title: Uptime Monitor API
  description: >-
    API documentation for the Uptime Monitor application. This API allows users
    to create and manage website monitors, perform checks, and view statistics.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.justanotheruptime.com
security: []
tags:
  - name: auth
    description: Authentication endpoints
  - name: projects
    description: Project management endpoints
  - name: monitors
    description: Monitor management endpoints
  - name: checks
    description: Check-related endpoints
  - name: statistics
    description: Monitor statistics endpoints
paths:
  /subscriptions/plans:
    get:
      tags:
        - Subscriptions
      summary: Get available subscription plans
      operationId: SubscriptionController_getAvailablePlans
      parameters: []
      responses:
        '200':
          description: Returns available subscription plans
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionPlansResponseDto'
        '500':
          description: Internal server error
      security:
        - bearer: []
components:
  schemas:
    SubscriptionPlansResponseDto:
      type: object
      properties:
        free:
          description: Free tier details
          allOf:
            - $ref: '#/components/schemas/PlanDetailsDto'
        pro:
          description: Pro tier details
          allOf:
            - $ref: '#/components/schemas/PlanDetailsDto'
      required:
        - free
        - pro
    PlanDetailsDto:
      type: object
      properties:
        name:
          type: string
          description: Plan name
          example: Free
        features:
          $ref: '#/components/schemas/PlanFeaturesDto'
      required:
        - name
        - features
    PlanFeaturesDto:
      type: object
      properties:
        monitorCount:
          description: Maximum number of monitors allowed
          example: 5
          oneOf:
            - type: number
            - type: string
              enum:
                - unlimited
        statusPageCount:
          description: Maximum number of status pages allowed
          example: 1
          oneOf:
            - type: number
            - type: string
              enum:
                - unlimited
        notificationChannels:
          type: array
          description: Available notification channels
          example:
            - email
          items:
            type: string
            enum:
              - email
              - slack
              - discord
              - teams
              - webhook
        checkFrequencyMinutes:
          type: number
          description: Minimum check frequency in minutes
          example: 5
        retentionDays:
          type: number
          description: Number of days to retain monitoring data
          example: 30
        projectCount:
          description: Maximum number of projects
          example: 1
          oneOf:
            - type: number
            - type: string
              enum:
                - unlimited
        teamMembersPerProject:
          description: Maximum team members per project
          example: 1
          oneOf:
            - type: number
            - type: string
              enum:
                - unlimited
        teamMembers:
          description: Maximum total team members across all projects
          example: 1
          oneOf:
            - type: number
            - type: string
              enum:
                - unlimited
        apiCallsPerDay:
          description: Maximum API calls per day
          example: 10000
          oneOf:
            - type: number
            - type: string
              enum:
                - unlimited
        storageLimit:
          description: Storage limit in MB
          example: 5120
          oneOf:
            - type: number
            - type: string
              enum:
                - unlimited
      required:
        - monitorCount
        - statusPageCount
        - notificationChannels
        - checkFrequencyMinutes
        - retentionDays
        - projectCount
        - teamMembersPerProject
        - teamMembers
        - apiCallsPerDay
        - storageLimit
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````